<template>
    <div style="background-color:#fff;height: 800px;">
		<el-form :model="form" label-width="120px">
			<el-row>
				<el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
					<el-form-item label="标题" size="default" prop="caseTitle">
						<el-input v-model="form.caseTitle" />
					</el-form-item>
				</el-col>
				<el-col :xs="24" :sm="11" :md="11" :lg="11" :xl="11" class="mb20">
					<el-form-item label="发布时间" size="default" prop="caseTime">
						<el-date-picker
							v-model="form.caseTime"
							format="YYYY-MM-DD HH:mm:ss"
							value-format="YYYY-MM-DD HH:mm:ss"
							type="datetime"
							placeholder="请选择"
							style="width: 100%"
						/>
					</el-form-item>
				</el-col>
				<el-col :xs="24" :sm="23" :md="23" :lg="23" :xl="23" class="mb20">
					<el-form-item  label="内容" size="default" prop="caseContent">
						<Wangeditor style="width: 100%" :value="form.caseContent"
									 showTop=""></Wangeditor>
					</el-form-item>
				</el-col>
			</el-row>
		</el-form>
    </div>
</template>
<script lang="ts">
import { defineComponent, ref, reactive, onMounted } from 'vue';
import { timeDate } from '/@/assets/index.ts';
import type { FormInstance, FormRules } from 'element-plus';
import { Search, FullScreen } from '@element-plus/icons-vue';
import { ElMessageBox, ElMessage, ElButton, ElInput, TabsPaneContext } from 'element-plus';
import { accidentManagementSystemApi } from '/@/api/accidentManagementSystem';
import Wangeditor from './component/wangEditor/index.vue';
import {useRoute} from 'vue-router'
export default defineComponent({
	components: {Wangeditor},
	setup(props, { emit }) {
        const route = useRoute();
        const num = route.query.id;
		const dialogVisible = ref<boolean>(false);
		const form = ref({
			caseTitle: '',///案例标题
			caseContent: '',///案例内容
			caseTime: '',
		});
    onMounted(()=>{
        listApi(num)
    })
	const listApi=(id:any)=>{
        accidentManagementSystemApi()
					.getaccidentCaseDetail(id)
					.then((res) => {
						if (res.data.code == 200) {
							form.value = res.data.data;
						} else {
							ElMessage.error(res.data.msg);
						}
					});
    }
				
		return {
			timeDate,
			form,
			dialogVisible,
			Search,
            route,
            num
		};
	},
});
</script>
<style scoped>
.el-col {
	padding: 20px 0 0 0;
}
</style>